Bug 178336 - [patch] x11/hs-X11 does not include xinerama anymore
Summary: [patch] x11/hs-X11 does not include xinerama anymore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-haskell (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-04 14:30 UTC by cjr
Modified: 2013-05-12 20:43 UTC (History)
0 users

See Also:


Attachments
file.diff (620 bytes, patch)
2013-05-04 14:30 UTC, cjr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cjr 2013-05-04 14:30:00 UTC
From ports r309275 to r311736 the xinerama option was dropped from x11/hs-X11. 

When, as in my case, using xmonad ad trying to compile a trivial configuration change, this breaks an existing xmonad dual pane configuration.

Reintroducing the xinerama option into x11/hs-X11 and recompiling x11/hs-X11-xft, x11-wm/hs-xmonad and x11-wm/xmonad-contrib solves the problem.

Fix: patch included

if xinerama support has been dropped for valid reasons, put a note in UPDATING

Patch attached with submission follows:
How-To-Repeat: Try to compile any dual pane xmonad config with x11/hs-X11 newer than r309275.
Comment 1 Edwin Groothuis freebsd_committer 2013-05-04 14:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gabor Pali freebsd_committer 2013-05-06 14:05:55 UTC
Hi Christopher,

It seems you are right, Xinerama support is currently missing from
x11/hs-X11.  I cannot recall why it was finally removed.  Any way, I
think the patch is quite right, I am going to put this flag back for
the port soon, probably as part of the next update.

Thanks for the report!
Comment 3 dfilter service freebsd_committer 2013-05-12 20:30:42 UTC
Author: pgj
Date: Sun May 12 19:30:28 2013
New Revision: 317973
URL: http://svnweb.freebsd.org/changeset/ports/317973

Log:
  - Restore and make default the XINERAMA option which was accidentally dropped
    in r309275
  - Bump port revision for the port and for all of its dependents, especially
    xmonad, because it can only work in dual-monitor configurations with this
    setting enabled
  
  PR:		ports/178336
  Submitted by:	Christopher J. Ruwe <cjr@cruwe.de>
  Obtained from:	FreeBSD Haskell

Modified:
  head/graphics/hs-HGL/Makefile
  head/x11-wm/hs-xmonad-contrib/Makefile
  head/x11-wm/hs-xmonad/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11/hs-X11/Makefile
  head/x11/hs-xmobar/Makefile

Modified: head/graphics/hs-HGL/Makefile
==============================================================================
--- head/graphics/hs-HGL/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/graphics/hs-HGL/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -3,7 +3,7 @@
 
 PORTNAME=	HGL
 PORTVERSION=	3.2.0.2
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	graphics haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/x11-wm/hs-xmonad-contrib/Makefile
==============================================================================
--- head/x11-wm/hs-xmonad-contrib/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/x11-wm/hs-xmonad-contrib/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -3,6 +3,7 @@
 
 PORTNAME=	xmonad-contrib
 PORTVERSION=	0.11.1
+PORTREVISION=	1
 CATEGORIES=	x11-wm haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/x11-wm/hs-xmonad/Makefile
==============================================================================
--- head/x11-wm/hs-xmonad/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/x11-wm/hs-xmonad/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmonad
 PORTVERSION=	0.11
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	x11-wm haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/x11/hs-X11-xft/Makefile
==============================================================================
--- head/x11/hs-X11-xft/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/x11/hs-X11-xft/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -2,7 +2,7 @@
 
 PORTNAME=	X11-xft
 PORTVERSION=	0.3.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	x11 haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/x11/hs-X11/Makefile
==============================================================================
--- head/x11/hs-X11/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/x11/hs-X11/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -3,6 +3,7 @@
 
 PORTNAME=	X11
 PORTVERSION=	1.6.1.1
+PORTREVISION=	1
 CATEGORIES=	x11 haskell
 
 MAINTAINER=	haskell@FreeBSD.org
@@ -15,5 +16,19 @@ CABAL_SETUP=	Setup.hs
 USE_CABAL=	data-default
 USE_XORG=	x11 xrandr xext
 
+OPTIONS_DEFINE=		XINERAMA
+OPTIONS_DEFAULT=	XINERAMA
+
+XINERAMA_DESC=	Build with Xinerama support
+
+.include "${.CURDIR}/../../lang/ghc/bsd.cabal.options.mk"
+
+.if ${PORT_OPTIONS:MXINERAMA}
+USE_XORG+=		xinerama
+CONFIGURE_ARGS+=	--configure-option="--with-xinerama"
+.else
+CONFIGURE_ARGS+=	--configure-option="--without-xinerama"
+.endif
+
 .include "${.CURDIR}/../../lang/ghc/bsd.cabal.mk"
 .include <bsd.port.mk>

Modified: head/x11/hs-xmobar/Makefile
==============================================================================
--- head/x11/hs-xmobar/Makefile	Sun May 12 19:08:49 2013	(r317972)
+++ head/x11/hs-xmobar/Makefile	Sun May 12 19:30:28 2013	(r317973)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmobar
 PORTVERSION=	0.16
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	x11 haskell
 
 MAINTAINER=	haskell@FreeBSD.org
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Gabor Pali freebsd_committer 2013-05-12 20:42:42 UTC
State Changed
From-To: open->closed

Committed with minor improvements, thanks!